clang-tools 8.0.0

Namespaces | Macros | Functions
IncludeFixer.cpp File Reference
`#include "IncludeFixer.h"`
`#include "clang/Format/Format.h"`
`#include "clang/Frontend/CompilerInstance.h"`
`#include "clang/Lex/HeaderSearch.h"`
`#include "clang/Lex/Preprocessor.h"`
`#include "clang/Parse/ParseAST.h"`
`#include "clang/Sema/Sema.h"`
`#include "llvm/Support/Debug.h"`
`#include "llvm/Support/raw_ostream.h"`
Include dependency graph for IncludeFixer.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::include_fixer

## Macros
#define | DEBUG_TYPE "include-fixer"

## Functions
static bool | clang::include_fixer::addDiagnosticsForContext (TypoCorrection &Correction, const IncludeFixerContext &Context, StringRef Code, SourceLocation StartOfFile, ASTContext &Ctx)
llvm::Expected< tooling::Replacements > | clang::include_fixer::createIncludeFixerReplacements (StringRef Code, const IncludeFixerContext &Context, const clang::format::FormatStyle &Style, bool AddQualifiers)

## Macro Definition Documentation

## ◆ DEBUG_TYPE

#define DEBUG_TYPE "include-fixer"

Definition at line 20 of file IncludeFixer.cpp.